Macaulay2 » Documentation
Packages » Macaulay2Doc » The Macaulay2 language » system facilities » using sockets » read » read(String)
next | previous | forward | backward | up | index | toc

# read(String) -- read from a file

- Function: read
- Usage:
    `read p`
- Inputs:
  - p, a string, a string containing a prompt to be displayed for the user
- Outputs:
  - a string, a string obtained by reading from the standard input file stdio

## Ways to use this method:

- read(String) -- read from a file

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/Macaulay2Doc/ov_system.m2:282:0.